Skip to main content
GET
/
v1
/
tasks
List Tasks
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/tasks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reopened_at": "2023-11-07T05:31:56Z",
      "reopen_reason": "REMINDER_RULE",
      "skipped_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "total_pages": 123,
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Query Parameters

page
integer
default:1

Page number.

Required range: x >= 1
size
integer
default:10

Number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string> | null

Field to sort by.

Available options:
created_at,
updated_at
sort_order
enum<string>
default:asc

Sort direction.

Available options:
asc,
desc
sequence_id
string<uuid> | null

Filter by an individual sequence run.

sequence_template_ids
string<uuid>[] | null

Filter by sequence template. Repeat the parameter to pass multiple values.

types
enum<string>[] | null

Filter by task type. Repeat the parameter to pass multiple values.

Available options:
EMAIL_REPLY,
LINKEDIN_REPLY,
NEW_LEAD_REVIEW,
CALL
status
enum<string> | null

Filter by status.

Available options:
PENDING,
IN_PROGRESS,
COMPLETED,
SKIPPED
priorities
enum<string>[] | null

Filter by priority bucket. Repeat the parameter to pass multiple values.

Available options:
HOT,
TODAY,
EXTRA
assignee_user_id
string<uuid> | null

Filter by assignee.

created_at_after
string<date-time> | null

Return tasks created strictly after this timestamp.

created_at_before
string<date-time> | null

Return tasks created strictly before this timestamp.

Response

200 - application/json

Successful Response

items
TaskPublicOutput · object[]
required

Records on this page.

total_count
integer
required

Total number of records matching the query.

total_pages
integer
required

Total number of pages.

has_more
boolean
required

Whether more pages remain after the current one.